Bug 232498 - multimedia/ffmpeg: always build with libasound.so.2 dep if audio/alsa-lib installed
Summary: multimedia/ffmpeg: always build with libasound.so.2 dep if audio/alsa-lib ins...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: freebsd-multimedia mailing list
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-10-21 04:26 UTC by rozhuk.im
Modified: 2018-11-23 18:14 UTC (History)
3 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description rozhuk.im 2018-10-21 04:26:05 UTC
Then I build ffmpeg package on mine desktop with audio/alsa-lib installed but ALSA option unset it bulded with libasound.so.2 dep.
Later after install on other system without alsa-lib installed pkg check -d show that libasound.so.2 missed.
Comment 1 commit-hook freebsd_committer 2018-10-21 10:33:59 UTC
A commit references this bug:

Author: jbeich
Date: Sun Oct 21 10:33:38 UTC 2018
New revision: 482658
URL: https://svnweb.freebsd.org/changeset/ports/482658

Log:
  multimedia/ffmpeg: unbreak ALSA=off after r468844

  https://ffmpeg.org/pipermail/ffmpeg-devel/2018-September/234516.html

  PR:		232498

Changes:
  head/multimedia/ffmpeg/Makefile
  head/multimedia/ffmpeg/files/patch-configure
Comment 2 commit-hook freebsd_committer 2018-10-21 10:36:02 UTC
A commit references this bug:

Author: jbeich
Date: Sun Oct 21 10:35:36 UTC 2018
New revision: 482659
URL: https://svnweb.freebsd.org/changeset/ports/482659

Log:
  MFH: r482658

  multimedia/ffmpeg: unbreak ALSA=off after r468844

  https://ffmpeg.org/pipermail/ffmpeg-devel/2018-September/234516.html

  PR:		232498
  Approved by:	ports-secteam blanket

Changes:
_U  branches/2018Q4/
  branches/2018Q4/multimedia/ffmpeg/Makefile
  branches/2018Q4/multimedia/ffmpeg/files/patch-configure
Comment 3 commit-hook freebsd_committer 2018-10-28 17:52:45 UTC
A commit references this bug:

Author: riggs
Date: Sun Oct 28 17:52:05 UTC 2018
New revision: 483320
URL: https://svnweb.freebsd.org/changeset/ports/483320

Log:
  MFH: r482030 r482658 r482928 r483316

  Enable XCB option by default

  Rationale:
  - XCB offers a comfortable screen capturing function via
    ffmpeg -f x11grab
  - In the default package libxcb is installed as a dependency
    of libX11 anyway, hence no need to disable it for ffmpeg
    specifically

  PR:		231215
  Reported by:	vermaden@interia.pl

  multimedia/ffmpeg: unbreak ALSA=off after r468844

  https://ffmpeg.org/pipermail/ffmpeg-devel/2018-September/234516.html

  PR:		232498

  multimedia/ffmpeg: Do not set DATADIR twice

  PR:		232637

  Unbreak build on 12-BETA after OpenSSL 1.1.1 import into base

  PR:		232707
  Submitted by:	fluffy

  Approved by:	ports-secteam (riggs)

Changes:
_U  branches/2018Q4/
  branches/2018Q4/multimedia/ffmpeg/Makefile
  branches/2018Q4/multimedia/ffmpeg/files/patch-configure
Comment 4 Jan Beich freebsd_committer 2018-11-23 18:14:06 UTC
(In reply to commit-hook from comment #1)
> https://ffmpeg.org/pipermail/ffmpeg-devel/2018-September/234516.html

Oops, for upstreaming status see https://patchwork.ffmpeg.org/patch/10463/